## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global _description %{expand:
A simple package with utils to check whether versions number match PEP 440.}

Name:           python-pep440
Version:        0.1.2
Release:        %{autorelease}
Summary:        A simple package with utils to check whether versions number match Pep 440

License:        MIT
URL:            https://pypi.org/pypi/pep440
Source0:        %{pypi_source pep440}

BuildArch:      noarch

%description %_description

%package -n python3-pep440
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-pep440 %_description


%prep
%autosetup -n pep440-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pep440


%check
%if %{with tests}
# skip test_cli test as they depend on pytest-console-scripts, which
# is not yet packaged to Fedora
%{pytest} -svv -k "not test_cli"
%endif


%files -n python3-pep440 -f %{pyproject_files}
%doc readme.md
%{_bindir}/pep440
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 02 2022 Maíra Canal <mairacanal@riseup.net> - 0.1.2-1
- Update to 0.1.2 (close RHBZ#2126521)

* Mon Aug 29 2022 Maíra Canal <mairacanal@riseup.net> - 0.1.1-1
- Initial Fedora package
## END: Generated by rpmautospec
